Bug 232766 - graphics/osg: does not build with QT5 option set
Summary: graphics/osg: does not build with QT5 option set
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-10-28 18:38 UTC by Bengt Ahlgren
Modified: 2019-08-17 17:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
osg poudriere log (31.03 KB, text/plain)
2018-10-28 18:38 UTC, Bengt Ahlgren
no flags Details
Patch to port makefile (512 bytes, patch)
2019-08-08 10:14 UTC, Bengt Ahlgren
no flags Details | Diff
Patch to port makefile (604 bytes, patch)
2019-08-08 11:49 UTC, Bengt Ahlgren
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bengt Ahlgren 2018-10-28 18:38:06 UTC
Created attachment 198723 [details]
osg poudriere log

graphics/osg (version 3.4.1_3) fails with the following error during the configure step when the QT5 option is set (full poudriere log attached):

CMake Error at CMakeLists.txt:713 (FIND_PACKAGE):
  By not providing "FindQt5Widgets.cmake" in CMAKE_MODULE_PATH this project
  has asked CMake to find a package configuration file provided by
  "Qt5Widgets", but CMake did not find one.

  Could not find a package configuration file provided by "Qt5Widgets" with
  any of the following names:

    Qt5WidgetsConfig.cmake
    qt5widgets-config.cmake

  Add the installation prefix of "Qt5Widgets" to CMAKE_PREFIX_PATH or set
  "Qt5Widgets_DIR" to a directory containing one of the above files.  If
  "Qt5Widgets" provides a separate development package or SDK, be sure it has
  been installed.


-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/graphics/osg/work/.build/CMakeFiles/CMakeOutput.log".
See also "/wrkdirs/usr/ports/graphics/osg/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/osg
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-10-29 13:38:28 UTC
There are some newer verions:
https://github.com/openscenegraph/OpenSceneGraph/releases
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-08 08:44:22 UTC
Latest version: 3.6.4.
Comment 3 Bengt Ahlgren 2019-08-08 10:14:45 UTC
Created attachment 206359 [details]
Patch to port makefile

It is not an upstream issue.  Adding "widgets" to QT5_USE fixes this - see patch.
Comment 4 Bengt Ahlgren 2019-08-08 11:49:15 UTC
Created attachment 206364 [details]
Patch to port makefile

Updated patch fixing USES too.